// Copyright 2000, CERN, Geneva, Switzerland and SLAC, Stanford, California, U.S.A.
package org.freehep.jaco.rtti;

/**
 * Defines a Parser for the RTTI
 *
 * @author Mark Donszelmann
 * @version $Id: ParseException.java,v 1.1.1.1 2004/05/31 05:08:50 kuromaru Exp $
 */
public class ParseException extends Exception {

    private Exception ex;

    public ParseException() {
        super();
    }
    
    public ParseException(String msg) {
        super(msg);
    }
    
    public ParseException(Exception exception) {
        super(exception.getMessage());
        ex = exception;
    }
    
    public void printStackTrace() {
        ex.printStackTrace();
    }
}
